For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Collaborator to a Project
      • POSTBatch create Collaborators and PendingCollaborators within a Project
      • DELBatch delete Collaborators and PendingCollaborators for a Project
      • POSTCreate a Project
      • DELDelete Project by ID
      • GETGet current User(s) membership for a Project
      • GETGet Project by ID
      • GETGet Project Collaborators
      • GETGet Projects by Team
      • PUTUpdate a Project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Batch create Collaborators and PendingCollaborators within a Project

POST
https://api.frame.io/v2/batch/projects/:project_id/collaborators
POST
/v2/batch/projects/:project_id/collaborators
1import requests
2
3url = "https://api.frame.io/v2/batch/projects/project_id/collaborators"
4
5payload = {
6 "batch": [{
7 "message": "Please review this!",
8 "user_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
9 }, { "user_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb" }, { "user_group_id": "cccccccc-cccc-cccc-cccc-cccccccccccc" }, { "email": "testing@foobar.biz" }],
10 "default_message": "Welcome!"
11}
12headers = {
13 "Authorization": "Bearer <token>",
14 "Content-Type": "application/json"
15}
16
17response = requests.post(url, json=payload, headers=headers)
18
19print(response.json())
1{
2 "error": {
3 "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa": "Something went wrong!"
4 }
5}
Submit a list of Collaborators to add to the given Project as Collaborators
Was this page helpful?
Previous

Batch delete Collaborators and PendingCollaborators for a Project

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequiredformat: "uuid"

Request

An array of batch operations
batchlist of objectsOptional
default_messagestringOptional
Default invite message to be applied to all invites created
send_emailbooleanOptionalDefaults to true
When false no emails will be sent to the new Reviewers and Pending Reviewers

Response

Batch create success response
errorobject

Errors

401
Unauthorized Error
404
Not Found Error